WonderFi Technologies Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/wonderfi-technologies-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/wonderfi-technologies-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1703980800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sedarplus.ca/csa-party/records/document.html?id=6a66ed4e3bff31f6e6a1fe101c8c5f5aca269729c00d9ca9d851a3cc11c3ffab",
    "holding_balance": 59.81,
    "holding_net_change": 59.81,
    "transaction_value_usd": 2528049.6781,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1735603200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.sedarplus.ca/csa-party/records/document.html?id=6a66ed4e3bff31f6e6a1fe101c8c5f5aca269729c00d9ca9d851a3cc11c3ffab",
    "holding_balance": 39.8,
    "holding_net_change": -20.01,
    "transaction_value_usd": 1868154.6105,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/wonderfi-technologies-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    39.8
  ],
  [
    1779062400000,
    39.8
  ],
  [
    1779148800000,
    39.8
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/wonderfi-technologies-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    3081708.428
  ],
  [
    1779062400000,
    3062381.946
  ],
  [
    1779148800000,
    3055048.398
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/wonderfi-technologies-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.3425,
    "date": "2026-05-14",
    "high": 0.345,
    "open": 0.345,
    "close": 0.345,
    "volume": 3960
  },
  {
    "low": 0.34,
    "date": "2026-05-15",
    "high": 0.345,
    "open": 0.3425,
    "close": 0.345,
    "volume": 354681
  },
  {
    "low": 0.34,
    "date": "2026-05-19",
    "high": 0.345,
    "open": 0.34,
    "close": 0.345,
    "volume": 152268
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/wonderfi-technologies-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": -0.766,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/wonderfi-technologies-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 4.55,
  "six_month_return": 30.19,
  "three_month_return": 11.29
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/wonderfi-technologies-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 1.3,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "up"
}